Subject: RE: IPP> Does the world need a robust host-to-device network prin tingprotocol?

From: "Caruso, Angelo " <[email-masked]>
Date: Wed, 11 Feb 1998 13:48:21 PST

I also agree that a robust host-to-device printing protocol is far more
valuable than what IPP has evolved to. Other than enabling some minimal
bi-directional driver capability (mostly enabled by the existing Printer
MIB) and some job monitoring capability (also enabled by a PWG MIB which
was nearly complete before IPP started), I've never quite understood
what value IPP really brings to the customer. Pushing a print job
through a firewall doesn't seem that important to me. My view of
distribute and print is: distribute electronically, then let the
recipient decide if the document is worthy of their local printing
resources.

Angelo

	-----Original Message-----
	From:	Jay Martin [SMTP:[email-masked]]
	Sent:	Wednesday, February 11, 1998 12:39 PM
	To:	Paul Moore
	Cc:	[email-masked]
	Subject:	Re: IPP> Does the world need a robust
host-to-device network printingprotocol?

	Paul,

	> You are not alone in thinking the world needs a robust,
fully-featured
	> network printer interface. Personally I think this is MUCH
MORE VALUABLE to
	> corporates than IPP - sadly it is not in the glamorous glow of
the Internet
	> with all its unlimited budgets, hype, etc.

	Thanks for making this statement.  It's great to see that we
agree
	on this fundamental opinion.

	> Who couldn't I persuade - Xerox, IBM, Canon, Sharp, Novell....
I had this
	> discussion on the first day I attended a WG meeting - 'we need
two things,
	> something to provide high level features for users on the
Internet,
	> something to fix the 'LPD sucks' problem'. I continued to
state this every
	> time I was asked. Eventually I got the message that this was
not a welcome
	> topic, and still isn't.

	The opinions of these companies would appear quite
disconcerting,
	except for one important fact...

	Those companies (as well as myself) originally believed
IPP-over-HTTP
	would give us these additional (*critical*) capabilities right
out
	of the box with virtually no effort on our part:

	  1. Firewall punch-thru
	  2. Security framework
	  3. Zero-client-side software installation

	As I have said before, ALL of these fine, excellent assumptions
	have now seriously fallen by the wayside.

	And yet, we're left with this mess called IPP-over-HTTP.

	Once we realized our initital assumptions were proven false,
	why did we continue on this track?

	I encourage others in the PWG to comment on this (please!).

		...jay

----------------------------------------------------------------------
	--  JK Martin               |  Email:   [email-masked]
--
	--  Underscore, Inc.        |  Voice:   (603) 889-7000
--
	--  41C Sagamore Park Road  |  Fax:     (603) 889-2699
--
	--  Hudson, NH 03051-4915   |  Web:
http://www.underscore.com   --

----------------------------------------------------------------------